Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
cron_alerts.php File Reference

Go to the source code of this file.

## Functions
| laddZero ( $value)

## Variables
else | $siteDir = "/home/web/ezcommunity/ezcommunity.net/html/"
| $serverDateCMD = "/bin/date"
| $serverCalendarCronLog = 'bin/logs/calendar_event_notification_cron.log'
else | $separator = ":"
| $includePath = ini_get( "include_path" )
| $ini = new eZINI( "site.ini" )
| $GlobalSiteIni =& $ini
| $events = new eZGroupEvent()
| $current_date = new eZDate()
| $eventList = $events->getAllByDate( $current_date, true )
| $today = date("F j, Y, g:i a")

## Function Documentation

## ◆ laddZero()

laddZero | ( |  | $value | ) |

Definition at line 78 of file cron_alerts.php.

References $ret.

Referenced by eZGroupEvent\notification().

## Variable Documentation

## ◆ $current_date

$current_date = new eZDate()

Definition at line 92 of file cron_alerts.php.

Referenced by eZGroupEvent\notification().

## ◆ $eventList

$eventList = $events->getAllByDate( $current_date, true )

Definition at line 101 of file cron_alerts.php.

## ◆ $events

$events = new eZGroupEvent()

Definition at line 90 of file cron_alerts.php.

## ◆ $GlobalSiteIni

$GlobalSiteIni =& $ini

Definition at line 68 of file cron_alerts.php.

## ◆ $includePath

else $includePath = ini_get( "include_path" )

Definition at line 54 of file cron_alerts.php.

Referenced by ezpbKernelAdmin\run(), and ezpbKernelWeb\run().

## ◆ $ini

$ini = new eZINI( "site.ini" )

Definition at line 67 of file cron_alerts.php.

## ◆ $separator

else $separator = ":"

Definition at line 52 of file cron_alerts.php.

Referenced by eZCSVImport\_valToCsvHelper(), eZCSVImport\arrayToCsvString(), eZDir\cleanPath(), eZDir\convertSeparators(), eZCSVImport\csvArrayToArray(), eZCSVImport\csvFileToArray(), eZCSVImport\csvStringToArray(), eZDir\path(), eZURLAliasFilterAppendNodeID\process(), ezpbKernelAdmin\run(), ezpbKernelWeb\run(), and eZCharTransform\wordSeparator().

## ◆ $serverCalendarCronLog

$serverCalendarCronLog = 'bin/logs/calendar_event_notification_cron.log'

Definition at line 47 of file cron_alerts.php.

## ◆ $serverDateCMD

$serverDateCMD = "/bin/date"

Definition at line 46 of file cron_alerts.php.

## ◆ $siteDir

else $siteDir = "/home/web/ezcommunity/ezcommunity.net/html/"

Definition at line 43 of file cron_alerts.php.

Referenced by eZPBFile\file(), eZSys\init(), ezpbKernelAdmin\run(), and ezpbKernelWeb\run().

## ◆ $today

$today = date("F j, Y, g:i a")

Definition at line 116 of file cron_alerts.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.